﻿//------------------------------------------------------------------------------
// <auto-generated>
//     This code was generated by a tool.
//     Runtime Version:4.0.30319.42000
//
//     Changes to this file may cause incorrect behavior and will be lost if
//     the code is regenerated.
// </auto-generated>
//------------------------------------------------------------------------------

namespace ARGNS.Repository.WSServiceCall {
    
    
    [System.CodeDom.Compiler.GeneratedCodeAttribute("System.ServiceModel", "4.0.0.0")]
    [System.ServiceModel.ServiceContractAttribute(ConfigurationName="WSServiceCall.IServiceCallService")]
    public interface IServiceCallService {
        
        [System.ServiceModel.OperationContractAttribute(Action="http://tempuri.org/IServiceCallService/GetServiceCallComboList", ReplyAction="http://tempuri.org/IServiceCallService/GetServiceCallComboListResponse")]
        ARGNS.Model.Implementations.SAP.ServiceCallComboList GetServiceCallComboList(ARGNS.Model.Implementations.CompanyConn pCompanyParam);
        
        [System.ServiceModel.OperationContractAttribute(Action="http://tempuri.org/IServiceCallService/GetServiceCallComboList", ReplyAction="http://tempuri.org/IServiceCallService/GetServiceCallComboListResponse")]
        System.Threading.Tasks.Task<ARGNS.Model.Implementations.SAP.ServiceCallComboList> GetServiceCallComboListAsync(ARGNS.Model.Implementations.CompanyConn pCompanyParam);
        
        [System.ServiceModel.OperationContractAttribute(Action="http://tempuri.org/IServiceCallService/GetServiceCallById", ReplyAction="http://tempuri.org/IServiceCallService/GetServiceCallByIdResponse")]
        ARGNS.Model.Implementations.SAP.ServiceCallSAP GetServiceCallById(ARGNS.Model.Implementations.CompanyConn pCompanyParam, int pId);
        
        [System.ServiceModel.OperationContractAttribute(Action="http://tempuri.org/IServiceCallService/GetServiceCallById", ReplyAction="http://tempuri.org/IServiceCallService/GetServiceCallByIdResponse")]
        System.Threading.Tasks.Task<ARGNS.Model.Implementations.SAP.ServiceCallSAP> GetServiceCallByIdAsync(ARGNS.Model.Implementations.CompanyConn pCompanyParam, int pId);
        
        [System.ServiceModel.OperationContractAttribute(Action="http://tempuri.org/IServiceCallService/AddServiceCall", ReplyAction="http://tempuri.org/IServiceCallService/AddServiceCallResponse")]
        ARGNS.Model.Implementations.View.JsonObjectResult AddServiceCall(ARGNS.Model.Implementations.SAP.ServiceCallSAP pObject, ARGNS.Model.Implementations.CompanyConn pCompanyParam);
        
        [System.ServiceModel.OperationContractAttribute(Action="http://tempuri.org/IServiceCallService/AddServiceCall", ReplyAction="http://tempuri.org/IServiceCallService/AddServiceCallResponse")]
        System.Threading.Tasks.Task<ARGNS.Model.Implementations.View.JsonObjectResult> AddServiceCallAsync(ARGNS.Model.Implementations.SAP.ServiceCallSAP pObject, ARGNS.Model.Implementations.CompanyConn pCompanyParam);
        
        [System.ServiceModel.OperationContractAttribute(Action="http://tempuri.org/IServiceCallService/UpdateServiceCall", ReplyAction="http://tempuri.org/IServiceCallService/UpdateServiceCallResponse")]
        string UpdateServiceCall(ARGNS.Model.Implementations.SAP.ServiceCallSAP pObject, ARGNS.Model.Implementations.CompanyConn pCompanyParam);
        
        [System.ServiceModel.OperationContractAttribute(Action="http://tempuri.org/IServiceCallService/UpdateServiceCall", ReplyAction="http://tempuri.org/IServiceCallService/UpdateServiceCallResponse")]
        System.Threading.Tasks.Task<string> UpdateServiceCallAsync(ARGNS.Model.Implementations.SAP.ServiceCallSAP pObject, ARGNS.Model.Implementations.CompanyConn pCompanyParam);
        
        [System.ServiceModel.OperationContractAttribute(Action="http://tempuri.org/IServiceCallService/GetServiceCallListSearch", ReplyAction="http://tempuri.org/IServiceCallService/GetServiceCallListSearchResponse")]
        ARGNS.Model.Implementations.SAP.ServiceCallSAP[] GetServiceCallListSearch(ARGNS.Model.Implementations.CompanyConn pCompanyParam, string pCodeBP, string pPriority, string pSubject, string pRefNumber, System.Nullable<System.DateTime> pDate, System.Nullable<short> pStatus, System.Nullable<short> pUser);
        
        [System.ServiceModel.OperationContractAttribute(Action="http://tempuri.org/IServiceCallService/GetServiceCallListSearch", ReplyAction="http://tempuri.org/IServiceCallService/GetServiceCallListSearchResponse")]
        System.Threading.Tasks.Task<ARGNS.Model.Implementations.SAP.ServiceCallSAP[]> GetServiceCallListSearchAsync(ARGNS.Model.Implementations.CompanyConn pCompanyParam, string pCodeBP, string pPriority, string pSubject, string pRefNumber, System.Nullable<System.DateTime> pDate, System.Nullable<short> pStatus, System.Nullable<short> pUser);
        
        [System.ServiceModel.OperationContractAttribute(Action="http://tempuri.org/IServiceCallService/GetEquipmentCardListSearch", ReplyAction="http://tempuri.org/IServiceCallService/GetEquipmentCardListSearchResponse")]
        ARGNS.Model.Implementations.SAP.EquipmentCardSAP[] GetEquipmentCardListSearch(ARGNS.Model.Implementations.CompanyConn pCompanyParam, string pItemCode, string pItemName);
        
        [System.ServiceModel.OperationContractAttribute(Action="http://tempuri.org/IServiceCallService/GetEquipmentCardListSearch", ReplyAction="http://tempuri.org/IServiceCallService/GetEquipmentCardListSearchResponse")]
        System.Threading.Tasks.Task<ARGNS.Model.Implementations.SAP.EquipmentCardSAP[]> GetEquipmentCardListSearchAsync(ARGNS.Model.Implementations.CompanyConn pCompanyParam, string pItemCode, string pItemName);
        
        [System.ServiceModel.OperationContractAttribute(Action="http://tempuri.org/IServiceCallService/GetServiceCallStatusList", ReplyAction="http://tempuri.org/IServiceCallService/GetServiceCallStatusListResponse")]
        ARGNS.Model.Implementations.SAP.ServiceStatus[] GetServiceCallStatusList(ARGNS.Model.Implementations.CompanyConn pCompanyParam);
        
        [System.ServiceModel.OperationContractAttribute(Action="http://tempuri.org/IServiceCallService/GetServiceCallStatusList", ReplyAction="http://tempuri.org/IServiceCallService/GetServiceCallStatusListResponse")]
        System.Threading.Tasks.Task<ARGNS.Model.Implementations.SAP.ServiceStatus[]> GetServiceCallStatusListAsync(ARGNS.Model.Implementations.CompanyConn pCompanyParam);
    }
    
    [System.CodeDom.Compiler.GeneratedCodeAttribute("System.ServiceModel", "4.0.0.0")]
    public interface IServiceCallServiceChannel : ARGNS.Repository.WSServiceCall.IServiceCallService, System.ServiceModel.IClientChannel {
    }
    
    [System.Diagnostics.DebuggerStepThroughAttribute()]
    [System.CodeDom.Compiler.GeneratedCodeAttribute("System.ServiceModel", "4.0.0.0")]
    public partial class ServiceCallServiceClient : System.ServiceModel.ClientBase<ARGNS.Repository.WSServiceCall.IServiceCallService>, ARGNS.Repository.WSServiceCall.IServiceCallService {
        
        public ServiceCallServiceClient() {
        }
        
        public ServiceCallServiceClient(string endpointConfigurationName) : 
                base(endpointConfigurationName) {
        }
        
        public ServiceCallServiceClient(string endpointConfigurationName, string remoteAddress) : 
                base(endpointConfigurationName, remoteAddress) {
        }
        
        public ServiceCallServiceClient(string endpointConfigurationName, System.ServiceModel.EndpointAddress remoteAddress) : 
                base(endpointConfigurationName, remoteAddress) {
        }
        
        public ServiceCallServiceClient(System.ServiceModel.Channels.Binding binding, System.ServiceModel.EndpointAddress remoteAddress) : 
                base(binding, remoteAddress) {
        }
        
        public ARGNS.Model.Implementations.SAP.ServiceCallComboList GetServiceCallComboList(ARGNS.Model.Implementations.CompanyConn pCompanyParam) {
            return base.Channel.GetServiceCallComboList(pCompanyParam);
        }
        
        public System.Threading.Tasks.Task<ARGNS.Model.Implementations.SAP.ServiceCallComboList> GetServiceCallComboListAsync(ARGNS.Model.Implementations.CompanyConn pCompanyParam) {
            return base.Channel.GetServiceCallComboListAsync(pCompanyParam);
        }
        
        public ARGNS.Model.Implementations.SAP.ServiceCallSAP GetServiceCallById(ARGNS.Model.Implementations.CompanyConn pCompanyParam, int pId) {
            return base.Channel.GetServiceCallById(pCompanyParam, pId);
        }
        
        public System.Threading.Tasks.Task<ARGNS.Model.Implementations.SAP.ServiceCallSAP> GetServiceCallByIdAsync(ARGNS.Model.Implementations.CompanyConn pCompanyParam, int pId) {
            return base.Channel.GetServiceCallByIdAsync(pCompanyParam, pId);
        }
        
        public ARGNS.Model.Implementations.View.JsonObjectResult AddServiceCall(ARGNS.Model.Implementations.SAP.ServiceCallSAP pObject, ARGNS.Model.Implementations.CompanyConn pCompanyParam) {
            return base.Channel.AddServiceCall(pObject, pCompanyParam);
        }
        
        public System.Threading.Tasks.Task<ARGNS.Model.Implementations.View.JsonObjectResult> AddServiceCallAsync(ARGNS.Model.Implementations.SAP.ServiceCallSAP pObject, ARGNS.Model.Implementations.CompanyConn pCompanyParam) {
            return base.Channel.AddServiceCallAsync(pObject, pCompanyParam);
        }
        
        public string UpdateServiceCall(ARGNS.Model.Implementations.SAP.ServiceCallSAP pObject, ARGNS.Model.Implementations.CompanyConn pCompanyParam) {
            return base.Channel.UpdateServiceCall(pObject, pCompanyParam);
        }
        
        public System.Threading.Tasks.Task<string> UpdateServiceCallAsync(ARGNS.Model.Implementations.SAP.ServiceCallSAP pObject, ARGNS.Model.Implementations.CompanyConn pCompanyParam) {
            return base.Channel.UpdateServiceCallAsync(pObject, pCompanyParam);
        }
        
        public ARGNS.Model.Implementations.SAP.ServiceCallSAP[] GetServiceCallListSearch(ARGNS.Model.Implementations.CompanyConn pCompanyParam, string pCodeBP, string pPriority, string pSubject, string pRefNumber, System.Nullable<System.DateTime> pDate, System.Nullable<short> pStatus, System.Nullable<short> pUser) {
            return base.Channel.GetServiceCallListSearch(pCompanyParam, pCodeBP, pPriority, pSubject, pRefNumber, pDate, pStatus, pUser);
        }
        
        public System.Threading.Tasks.Task<ARGNS.Model.Implementations.SAP.ServiceCallSAP[]> GetServiceCallListSearchAsync(ARGNS.Model.Implementations.CompanyConn pCompanyParam, string pCodeBP, string pPriority, string pSubject, string pRefNumber, System.Nullable<System.DateTime> pDate, System.Nullable<short> pStatus, System.Nullable<short> pUser) {
            return base.Channel.GetServiceCallListSearchAsync(pCompanyParam, pCodeBP, pPriority, pSubject, pRefNumber, pDate, pStatus, pUser);
        }
        
        public ARGNS.Model.Implementations.SAP.EquipmentCardSAP[] GetEquipmentCardListSearch(ARGNS.Model.Implementations.CompanyConn pCompanyParam, string pItemCode, string pItemName) {
            return base.Channel.GetEquipmentCardListSearch(pCompanyParam, pItemCode, pItemName);
        }
        
        public System.Threading.Tasks.Task<ARGNS.Model.Implementations.SAP.EquipmentCardSAP[]> GetEquipmentCardListSearchAsync(ARGNS.Model.Implementations.CompanyConn pCompanyParam, string pItemCode, string pItemName) {
            return base.Channel.GetEquipmentCardListSearchAsync(pCompanyParam, pItemCode, pItemName);
        }
        
        public ARGNS.Model.Implementations.SAP.ServiceStatus[] GetServiceCallStatusList(ARGNS.Model.Implementations.CompanyConn pCompanyParam) {
            return base.Channel.GetServiceCallStatusList(pCompanyParam);
        }
        
        public System.Threading.Tasks.Task<ARGNS.Model.Implementations.SAP.ServiceStatus[]> GetServiceCallStatusListAsync(ARGNS.Model.Implementations.CompanyConn pCompanyParam) {
            return base.Channel.GetServiceCallStatusListAsync(pCompanyParam);
        }
    }
}
